IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Affichage des résultats du sondage: Quelle version de java utilisez vous ?

Votants
502. Vous ne pouvez pas participer à ce sondage.
  • J2SE 5.0

    267 53,19%
  • J2SE 1.4

    204 40,64%
  • J2SE 1.3

    12 2,39%
  • J2SE 1.2

    3 0,60%
  • Java SE 6

    16 3,19%
Langage Java Discussion :

Quelle version de java utilisez vous ? [Archives]


Sujet :

Langage Java

  1. #1
    Membre confirmé Avatar de Scorpyosis
    Homme Profil pro
    Inscrit en
    janvier 2004
    Messages
    365
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 37
    Localisation : France, Haute Garonne (Midi Pyrénées)

    Informations professionnelles :
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : janvier 2004
    Messages : 365
    Points : 570
    Points
    570
    Par défaut Quelle version de java utilisez vous ?
    Archive du sondage pour 2005-2006.
    Participez au nouveau sondage ici.



    Bonjour

    Tout est dans le post, c'est un sondage.

    Dites pourquoi vous utilisez cette version, et qu'est ce qu'elle a de plus ou non .

    Moi j'utilise ma bonne version j2sdk1.4.0_04 mais je songe à migrer vers la 1.5 .........c'est l'appel du tigre !!!

    Les raisons, de mon choix c'est que pas mal d'amélioration ont été fait à la 1.4 par rapport aux précédentes et j'ai pas encore d'interet à utilisé la 1.5, je ne fais pas de généricité ( enfin pas encore) et toute ces belles choses qu'apporte la 1.5 .
    Les deux principales inventions sorties de Berkeley sont UNIX et le LSD. Difficile de croire à une quelconque coïncidence - Jeremy S. Anderson

    Avant de vouloir qu’un logiciel soit réutilisable, il faudrait d’abord qu’il ait été utilisable - Ralph Johnson
      0  0

  2. #2
    Rédacteur
    Avatar de bigboomshakala
    Homme Profil pro
    Consultant Web .NET
    Inscrit en
    avril 2004
    Messages
    2 077
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 41
    Localisation : France, Val de Marne (Île de France)

    Informations professionnelles :
    Activité : Consultant Web .NET
    Secteur : Finance

    Informations forums :
    Inscription : avril 2004
    Messages : 2 077
    Points : 2 757
    Points
    2 757
    Par défaut
    yo

    moi je débute en java, j'ai acheté "Au coeur de Java 2 - vol.1" édition 2005 pour le jdk 5. alors j'utilise le jdk 5 avec les nouvelles fonctionnalités. en + je connais bien le C++, et les nouveautés du jdk 5 rendent plus facile la transition c++/java.
      0  0

  3. #3
    Membre confirmé Avatar de benratti
    Profil pro
    Inscrit en
    mai 2004
    Messages
    471
    Détails du profil
    Informations personnelles :
    Âge : 42
    Localisation : France, Paris (Île de France)

    Informations forums :
    Inscription : mai 2004
    Messages : 471
    Points : 647
    Points
    647
    Par défaut
    Je suis en 1.4 ... pour l'instant ca me va et ca reponds tres bien a mes besoins ... mais bon, si je vois qu'il y a des "plus" du cote du 1.5, peut-etre arriverais-je a me motiver pour l'installer et l'utiliser.
      0  0

  4. #4
    Membre régulier
    Avatar de Tifauv'
    Profil pro
    Inscrit en
    mars 2002
    Messages
    102
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : mars 2002
    Messages : 102
    Points : 121
    Points
    121
    Par défaut
    Mi-1.4 mi-1.5.

    Professionnellement, 1.4 car le passage en 1.5 provoque des erreurs de compilations (changement d'APIs)

    Personnellement, j'utilise les classes du 1.5 mais pas les nouveautés syntaxiques (cause Eclipse 3.0.1).
    - Un pointeur, c'est comme un fusil chargé mal reglé avec la gachette qui s'appuie toute seule des fois.
    - Nan nan nan ça c'est le C. Un pointeur, c'est la même chose, mais avec le Quad Damage.
      0  0

  5. #5
    Membre expérimenté
    Avatar de viena
    Profil pro
    Inscrit en
    juillet 2002
    Messages
    1 071
    Détails du profil
    Informations personnelles :
    Âge : 41
    Localisation : France, Nord (Nord Pas de Calais)

    Informations forums :
    Inscription : juillet 2002
    Messages : 1 071
    Points : 1 512
    Points
    1 512
    Par défaut
    Je suis en 1.4 parce que c'est mon client qui choisi (regie oblige). Je viens de changer de PC et je vais surement installer la 1.5.
    Cours et tutoriels pour apprendre Java , FAQ Java, et Forum Java
    "La liberté de tout être s'arréte là où commence celle de l'autre... Respecter l'autre, c'est préserver sa liberté d'être, de penser et de vivre"
      0  0

  6. #6
    Expert éminent sénior


    Profil pro
    Inscrit en
    mai 2003
    Messages
    3 240
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : mai 2003
    Messages : 3 240
    Points : 10 914
    Points
    10 914
    Par défaut
    J'utilise le JDK 1.5 depuis le mois d'octobre, avec NetBeans 4.0. Et J'en suis très content. J'ai même passé récemment (début février) la certification SCJP pour Java 5. J'attend les résultats, mais je n'ai pas trop espoir. Ce fut assez difficile (5heures, 166 questions. Mais bon, c'était pour la bonne cause et puis ce n'était que 37€ au lieu de 150€

    Bien qu'au début la syntaxe du for loop ne me plaisait pas, finallement on s'y habitue et s'avère pratique.

    L'utilisation des génériques s'avère puissant à l'usage.

    Ce que je n'aime pas trop c'est l'auto (un)boxing.
    Utiliser l'API JDBC avec l'auto (un)boxing est vraiment à éviter en pratique.

    Vincent
    Vincent Brabant

    Ne pas me contacter par MP ni par mail pour des questions techniques. Ma liste d'amis restera vide.

    Cours et tutoriels pour apprendre Java , FAQ Java, et Forum Java
      0  0

  7. #7
    Membre régulier
    Homme Profil pro
    SAP BC Admin
    Inscrit en
    août 2004
    Messages
    75
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 48
    Localisation : Belgique

    Informations professionnelles :
    Activité : SAP BC Admin
    Secteur : Finance

    Informations forums :
    Inscription : août 2004
    Messages : 75
    Points : 118
    Points
    118
    Par défaut
    J'utilise la version 1.4 avec Eclipse et comme Eclipse ne reconnait pas encore la version du Tigre ...

    Professionnellement, le passage à la 1.5 devra surement attendre encore un certain temps, mais personnellement, je pense y passer dès que Eclipse le permettra.
      0  0

  8. #8
    Membre expérimenté
    Avatar de narmataru
    Profil pro
    Inscrit en
    décembre 2002
    Messages
    1 546
    Détails du profil
    Informations personnelles :
    Âge : 41
    Localisation : France, Loire Atlantique (Pays de la Loire)

    Informations forums :
    Inscription : décembre 2002
    Messages : 1 546
    Points : 1 678
    Points
    1 678
    Par défaut
    J'ai commencer le développement de mon application en java 1.4 ça marche bien et je suis à l'aise avec. Java 1.5 me dit bien mais j'ai un peu peur que mon ppli ne réagisse pas pareil donc pour l'instant je ne la migre pas (et je ne compte pas la migrer). Cependant pour des dévelopepents futurs je me mettrais certainement au 1.5.
      0  0

  9. #9
    Membre confirmé Avatar de Satch
    Homme Profil pro
    Hypnothérapeute - Magicien
    Inscrit en
    mars 2004
    Messages
    498
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 40
    Localisation : Suisse

    Informations professionnelles :
    Activité : Hypnothérapeute - Magicien

    Informations forums :
    Inscription : mars 2004
    Messages : 498
    Points : 628
    Points
    628
    Par défaut
    pour les mêmes raisons que yves.

    la 1.5 n'est pas encore intégrée à Eclipse.
    Je sais que désormais vivre est un calembour,
    La mort est devenue un état permanent,
    Le monde est aux fantômes, aux hyènes et aux vautours.
    Moi je vous dis bravo et vive la mort.
      0  0

  10. #10
    Membre régulier
    Profil pro
    Inscrit en
    septembre 2003
    Messages
    75
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2003
    Messages : 75
    Points : 92
    Points
    92
    Par défaut
    Salut,

    J'ai répondu la 1.5 car c'est celle que j'utilise chez moi. Elle fonctionne très bien avec Eclipse 3.1M4 (qui prend en compte les nouveautés de Tiger).

    Sinon, au boulot j'utilise la 1.3 car toutes les applications internes sont en 1.3 et que certaines peines à passer en 1.4 (alors, pour la 1.5 c'est pas gagné !).
      0  0

  11. #11
    Membre à l'essai
    Inscrit en
    août 2004
    Messages
    15
    Détails du profil
    Informations forums :
    Inscription : août 2004
    Messages : 15
    Points : 11
    Points
    11
    Par défaut
    Citation Envoyé par benratti
    Je suis en 1.4 ... pour l'instant ca me va et ca reponds tres bien a mes besoins ... mais bon, si je vois qu'il y a des "plus" du cote du 1.5, peut-etre arriverais-je a me motiver pour l'installer et l'utiliser.
    +1 et aussi parce que j'utilise eclipse 1.4 et donc tant que ça marche je continue.
      0  0

  12. #12
    Candidat au Club
    Profil pro
    Inscrit en
    février 2005
    Messages
    2
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : février 2005
    Messages : 2
    Points : 2
    Points
    2
    Par défaut
    Je suis passé depuis peu à la 1.5, car je trouve les nouveautés du "Tigre" très intéressante (généricité, autoboxing, etc...)
      0  0

  13. #13
    Membre éprouvé Avatar de Mathusalem
    Profil pro
    IT moa
    Inscrit en
    décembre 2003
    Messages
    1 008
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations professionnelles :
    Activité : IT moa

    Informations forums :
    Inscription : décembre 2003
    Messages : 1 008
    Points : 1 063
    Points
    1 063
    Par défaut
    je suis étudiant, je n'ai pas besoin des nouveautés de la 1.5. De plus à la fac ils en sont à la 1.3, et il faut que ça tourne là-bas, donc...
      0  0

  14. #14
    Membre confirmé
    Avatar de Glob
    Homme Profil pro
    Architecte de système d'information
    Inscrit en
    avril 2002
    Messages
    428
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : Suisse

    Informations professionnelles :
    Activité : Architecte de système d'information

    Informations forums :
    Inscription : avril 2002
    Messages : 428
    Points : 629
    Points
    629
    Par défaut
    1.3 au boulot, 1.4 perso.

    1.5 peut-être dans pas trop longtemps... et le passage à 1.5 pourrait être accéleré si y'en a besoin pour faire tourner des applications tierces...
    Glob
    What would you do if you were not afraid?

    Cours et tutoriels pour apprendre Java , FAQ Java, et Forum Java
      0  0

  15. #15
    Membre averti
    Avatar de JHelp
    Inscrit en
    octobre 2002
    Messages
    185
    Détails du profil
    Informations forums :
    Inscription : octobre 2002
    Messages : 185
    Points : 437
    Points
    437
    Par défaut
    1.4 en perso
    1.4, et 1.1.4 au boulot.
    Tiens dans le sondage y a pas là 1.1, dommage, y en encore qui travaille avec, la preuve
    Pour avoir une réponse efficace :
    1) Soyez précis dans vos questions
    2) Choisssez bien votre forum
    3) Consultez la FAQ et la doc avant
      0  0

  16. #16
    Membre éprouvé
    Avatar de c-top
    Profil pro
    Turu
    Inscrit en
    septembre 2003
    Messages
    972
    Détails du profil
    Informations personnelles :
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Turu

    Informations forums :
    Inscription : septembre 2003
    Messages : 972
    Points : 1 224
    Points
    1 224
    Par défaut
    J'utilise depuis peu la 1.5, avant il a fallu passer mes apllis de la 1.4 vers la 1.5 et pour cela j'ai du resoudre quelques erreurs de compilation, maintenant que c'est fait pourquoi se priver de la 1.5 en plus les applis on un look beaucoup plus sympa.
    Je n'utilise pas encore la nouvelle syntaxe mais je compte bien m'y mettre rapidement.
      0  0

  17. #17
    Membre éclairé

    Homme Profil pro
    Consultant informatique
    Inscrit en
    juillet 2002
    Messages
    346
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Nord (Nord Pas de Calais)

    Informations professionnelles :
    Activité : Consultant informatique

    Informations forums :
    Inscription : juillet 2002
    Messages : 346
    Points : 762
    Points
    762
    Par défaut
    Moi, j'était habitué à la 1.4 (avant la sortie de la 1.5), mais au boulot, j'ai dut utiliser la 1.3 pour la compatibilité avec la version du serveur d'appli.
    Et je doit avouer que c'est dur de régréssé quand on est habitué à des fonctionnalité sympa (comme les regex).

    Mais bon, pour palier à des manque comme celui-ci, il suffit d'aller fait un tour du coté des commons de Jakarta

    Sinon, j'espère bien passer rapidement à le 1.5 (pour moi, ou dans ma prochaine mission au boulot)
      0  0

  18. #18
    Membre régulier
    Inscrit en
    juin 2004
    Messages
    65
    Détails du profil
    Informations forums :
    Inscription : juin 2004
    Messages : 65
    Points : 74
    Points
    74
    Par défaut
    1.4 perso.
    1.3 boulot.
    Et on sent la différence .... Je n'ose pas imaginer le calvaire de Jhelp avec sa 1.1
      0  0

  19. #19
    Membre expert

    Homme Profil pro
    Consultant informatique
    Inscrit en
    janvier 2004
    Messages
    2 299
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Consultant informatique
    Secteur : Finance

    Informations forums :
    Inscription : janvier 2004
    Messages : 2 299
    Points : 3 654
    Points
    3 654
    Par défaut
    perso, jdk 1.5 au boulot comme dans le privé, mais je compile tout pour la 1.3...

    et je teste en général sous jre 1.3, 1.4 et 1.5

    histoire que cela reste compatible pour un max de personnes ! mais même avec ces précautions, je trouve qu'il y a encore beaucoup de problèmes de déploiement avec java... surtout avec les applets !
    "Le plug gros problème des citations trouvées sur internet, c'est qu'on ne peut jamais garantir leur authenticité"

    Confucius, 448 av. J-C
      0  0

  20. #20
    Rédacteur
    Avatar de lunatix
    Homme Profil pro
    Architecte technique
    Inscrit en
    novembre 2002
    Messages
    1 960
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Val de Marne (Île de France)

    Informations professionnelles :
    Activité : Architecte technique

    Informations forums :
    Inscription : novembre 2002
    Messages : 1 960
    Points : 3 645
    Points
    3 645
    Par défaut
    c'est pour ca que les applets sont quand meme quasi abandonnées au profit de java web start (ca se voit, ils debugent pas mal jws pour java 1.6)
      0  0

Discussions similaires

  1. Quelle version de Java utilisez vous principalement ?
    Par Mickael Baron dans le forum Langage
    Réponses: 53
    Dernier message: 16/11/2013, 08h47
  2. Quelle version de Java utilisez vous principalement ?
    Par Ricky81 dans le forum Langage
    Réponses: 33
    Dernier message: 06/06/2010, 11h25
  3. Réponses: 52
    Dernier message: 29/12/2008, 00h47
  4. Réponses: 65
    Dernier message: 31/12/2007, 18h14

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo